describe('WorkerLocker', () => {
    const workerId = 1109;
    const lockerCode = '2F';
    const input = '.q-card input';
    const firstOpt = '[role="listbox"] .q-item:nth-child(1)';
    beforeEach(() => {
        cy.viewport(1280, 720);
        cy.login('productionBoss');
        cy.visit(`/#/worker/${workerId}/locker`);
    });

    it('should allocates a locker', () => {
        cy.get(input).click();
        cy.get(input).type(lockerCode);
        cy.get(firstOpt).click();
        cy.saveCard();
        cy.get(input).invoke('val').should('eq', lockerCode);
    });
});
